/*
 * gsm.h
 *
 * Created: 2016-05-03 22:47:34
 *  Author: Doom
 */ 


#ifndef GSM_H_
#define GSM_H_

#define GSM_PERIOD			(2500/MAIN_DELAY)
#define GSM_RESTART_CYCLES	42	

void GsmInit (void);
char GsmProcGet (void);
void GsmProc (void);
char GsmCheckOk (void);
int16_t GsmGetParamVal (char index);
char GsmCheckCmd (char *command);
char GsmGetSender (void);

char GsmSmsTextAdd (char new, char *src, char len);
char GsmSmsNumSet (char *src);
char *GsmSmsNumGet (void);
	
char GsmSmsSendCheck (void);
char GsmSmsPrepare (char *src, char *num);
char GsmSmsSend (void);

char GsmSimStatus(void);
char GsmPowerSwitch(char action);
#endif /* GSM_H_ */	